%global momorel 2

Name:           telepathy-glib
Version:        0.11.11
Release:        %{momorel}m%{?dist}
Summary:        GLib bindings for Telepathy

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
NoSource:	0
Patch0:         %{name}-0.11.9-gtk-doc-version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig
BuildRequires:  glib2-devel >= 2.20.1
BuildRequires:  dbus-devel >= 1.2.4
BuildRequires:  dbus-glib-devel >= 0.80
BuildRequires:	libxslt
BuildRequires:	python

%description
Telepathy-glib is the glib bindings for the telepathy unified framework
for all forms of real time conversations, including instant messaging, IRC, 
voice calls and video calls.


%package 	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	telepathy-filesystem
Requires:	dbus-devel >= 0.95
Requires:	dbus-glib-devel >= 0.73
Requires:	glib2-devel >= 2.10
Requires:	pkgconfig


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .gtk-doc

%build
%configure \
    --enable-silent-rules \
    --enable-gtk-doc \
    --disable-static \
    --enable-shave \
    --enable-installed-examples \
    LIBS="-ldbus-glib-1"
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog NEWS
%{_libdir}/libtelepathy-glib.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%exclude %{_libdir}/libtelepathy-glib.la

%files devel
%defattr(-, root, root)
%{_libdir}/libtelepathy-glib.so
%{_libdir}/pkgconfig/telepathy-glib.pc
%{_includedir}/telepathy-1.0/telepathy-glib
%doc %{_datadir}/gtk-doc/html/%{name}

# example
%{_bindir}/telepathy-example-*
%{_libexecdir}/telepathy-example-*
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.*
%{_datadir}/telepathy/managers/example_*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.11-2m)
- full rebuild for mo7 release

* Tue Jul 27 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.11-1m)
- update to 0.11.11

* Tue Jul 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.10-1m)
- update to 0.11.10

* Mon Jul  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.9-1m)
- update to 0.11.9

* Fri Jun 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.5-1m)
- update to 0.11.5

* Mon May  3 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.3-2m)
- explicitly link libdbus-glib-1

* Sun Apr 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.3-1m)
- update to 0.11.3

* Sat Jan 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.3-1m)
- update to 0.9.3

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-1m)
- update to 0.9.0

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.36-1m)
- update to 0.7.36

* Sun Jun  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.31-1m)
- update to 0.7.31

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.30-1m)
- update to 0.7.30

* Sun Apr 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.29-1m)
- update to 0.7.29

* Sat Feb 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.26-1m)
- update to 0.7.26

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.25-1m)
- update to 0.7.25

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.17-3m)
- rebuild against rpm-4.6

* Mon Oct 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.17-2m)
- modify %%files for telepathy-filesystem

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.17-1m)
- update to 0.7.17

* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.15-1m)
- update to 0.7.15

* Tue May 27 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.5-1m)
- import from Fedora

* Mon Mar 24 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-4
- Bump.

* Fri Mar 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.7.5-3
- Really fix #436773

* Mon Mar 10 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-2
- Add requires for glib2-devel to devel package. (#436773)

* Fri Mar  7 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-1
- Update to 0.7.5.
- Remove hack to fix ppc64 build.  fixed upstream.

* Thu Mar  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.4-1
- Update to 0.7.4.
- Disable test for now.
- Add hack to fix build on ppc64.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-2
- Rebuild for gcc-4.3.

* Fri Nov 23 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0.
- Drop unstable-static subpackage.
- Bump min. versions of dbus-devel & dbus-glib-devel.

* Mon Nov 12 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1.

* Wed Aug 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.14-1
- Update to 0.5.14.

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-6
- Add BR on python.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-5
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-4
- Update license tag.

* Mon Jun 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-3
- Add check section to run test suite.
- Mark gtk-docs as docs.

* Sat Jun 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-2
- Change Group to more accurate categoryn.
- Require pkgconfig on the devel package.
- Move headers for unstable libs to unstable-static sub-pacakge.

* Tue Jun  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-1
- Update to 0.5.13.

* Wed May 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.11-1
- Update to 0.5.11.

* Sat Apr 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.10-1
- Intial spec.

